package u7a1;

import java.util.Vector;

/**
 * Filters for students who obtain the "Testat".
 * 
 * The requirements for the testat are to have at least {@link IFilter#criteria} percent 
 * of {@link IFilter#maxNumberofPoints} points.
 */
public interface IFilter {
	public final int maxNumberofPoints = 80;
	public final double criteria = 50;
	
	/**
	 * Filter all students that achieved enough points for the "Testat".
	 * 
	 * @param groups a Vector of groups, where a group is a vector of students
	 * @return the Vector of all students who achieved enough points for the "Testat".
	 */
	public Vector filterRaw(Vector groups);

	/**
	 * Filter all students that achieved enough points for the "Testat".
	 * 
	 * @param groups a Vector of groups, where a group is a vector of students
	 * @return the Vector of all students who achieved enough points for the "Testat".
	 */
	public Vector<Student> filterGeneric(Vector<Vector<Student>> groups);
}